Subject: Re: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 13 Feb 2013 21:26:03 +0100

Eli,

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 13 Feb 2013 10:06:54 +0100
>> 
>> The last ones, before not being able anymore to connect to my email, were:
>> 
>> --8<---------------cut here---------------start------------->8---
>> warning: sys_read called when read is in progress
>> 
>> 
>> warning: reader_thread.SetEvent failed with 6 for fd 4
>> [New Thread 21032.0x50e0]
>> 
>> Breakpoint 2, sys_read (fd=4, buffer=0x8ffd034 "", count=5) at w32.c:6410
>> 6410    in w32.c
>> (gdb)
>> Continuing.
>> warning: sys_read called when read is in progress
>> 
>> [New Thread 21032.0x1bb0]
>> [Inferior 1 (process 21032) exited normally]
>> (gdb)
>> (gdb) The program is not being run.
>> --8<---------------cut here---------------end--------------->8---
>> 
>> I've relaunched a new Emacs.
>
> Can we step back for a moment and talk about the "Emacs is unusable"
> part?  What exactly stops working for you, that you need to start
> another session?

Examples of show-blockers:

- Helm-find-files does not include "locate" results anymore (I mean: from
  es.exe), just the current buffers, and the recent files.

- When connecting to my mail server, it's denied: I see all my mail groups
  grayed, and pressing ^, closing the server connection (C), re-establishing
  it (O) does not work. So, basically, I can't read my mails anymore.

> For each command that fails at this stage, please
> show the error message(s), if any, that are the manifestations of the
> failures.
>
> Also, when you cannot "connect to your email", whatever that means,

I hope the above clarifies what I mean.

> please press F12, or wait until some breakpoint breaks, and show me
> the contents of these two arrays:
>
>   (gdb) p fd_info[0]@64
>   (gdb) p child_procs[0]@32

I'll try it.

Best regards,
  Seb

-- 
Sebastien Vauban